
all:
	gcc --std=c99 -DDEBUG -Ddebug -DDebug program.c -o debug_program
	gcc --std=c99 program.c -o program
	gcc --std=c99 -DDEBUG -Ddebug -DDebug solution.c -o debug_solution
	gcc --std=c99 solution.c -o solution

clean:
	rm -f program
	rm -f solution
	rm -f debug_program
	rm -f debug_solution
